Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
cocobubu

[Yêu cầu] Vẽ đường gióng của mặt cắt ngang khi nhập tọa độ

Các bài được khuyến nghị

Em vẽ bản vẽ hoàn công nhiều.Quá trình vẽ dòi hỏi phải nhập số liệu từ checking để vẽ thành bản vẽ hoàn công.Em muốn nhờ các ace trong diễn đàn viết giúp em lisp này để công việc được nhanh hơn.Sau đây là ý tưởng của em.(bản vẽ kèm theo).Em xin trân thành cảm ơnhttp://www.cadviet.com/upfiles/3/106377_ban_ve_hoan_cong_2.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em vẽ bản vẽ hoàn công nhiều.Quá trình vẽ dòi hỏi phải nhập số liệu từ checking để vẽ thành bản vẽ hoàn công.Em muốn nhờ các ace trong diễn đàn viết giúp em lisp này để công việc được nhanh hơn.Sau đây là ý tưởng của em.(bản vẽ kèm theo).Em xin trân thành cảm ơnhttp://www.cadviet.c...hoan_cong_2.dwg

Y/c này khác y/c hôm trước (bị tạm trú bên thùng rác) à?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vâng,mấy cái yêu cầu của em tuy đơn giản nhưng tiết kiệm được rất nhiều time,vì em vẽ rất nhiều bản vẽ.Mong anh giúp em

Cái này có phải ý nghĩa là: vẽ 1 line từ 1 điểm p, theo phương thẳng đứng, đến 1 đường line nằm ngang, rồi lặp lại?

Nếu vậy thì "bước 1" để làm gì? Bước 3 chỉ cần pick điểm chứ đâu cần nhập toạ độ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này có phải ý nghĩa là: vẽ 1 line từ 1 điểm p, theo phương thẳng đứng, đến 1 đường line nằm ngang, rồi lặp lại?

Nếu vậy thì "bước 1" để làm gì? Bước 3 chỉ cần pick điểm chứ đâu cần nhập toạ độ?

Không phải vậy anh ah?Số liệu đầu vào chỉ là khoảng cách và cao độ ở trong bản checking.Em làm bước 1 để biến khoảng cách và cao độ trong checking đó thành tọa độ.Làm như vậy sẽ dễ dàng hơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không phải vậy anh ah?Số liệu đầu vào chỉ là khoảng cách và cao độ ở trong bản checking.Em làm bước 1 để biến khoảng cách và cao độ trong checking đó thành tọa độ.Làm như vậy sẽ dễ dàng hơn

Đây bạn!

(defun C:HA( / po xo yo yg ab)
(command "ucs" "w")
(setq po (getpoint "\nPick diem goc: "))
(setq xo (car po) yo (cadr po))
(setq yg (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong giong: ")))))))
(while (setq ab (getpoint "\nNhap toa do: "))
 (command "line" "non" (list (+ xo (car ab)) (+ yo (cadr ab))) "non" (list (+ xo (car ab)) yg) ""))
(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đây bạn!

(defun C:HA( / po xo yo yg ab)
(command "ucs" "w")
(setq po (getpoint "\nPick diem goc: "))
(setq xo (car po) yo (cadr po))
(setq yg (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong giong: ")))))))
(while (setq ab (getpoint "\nNhap toa do: "))
 (command "line" "non" (list (+ xo (car ab)) (+ yo (cadr ab))) "non" (list (+ xo (car ab)) yg) ""))
(princ)

Anh xem giúp em,load vào cad rồi nhưng lại ko sử dụng được!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Anh xem giúp em,load vào cad rồi nhưng lại ko sử dụng được!

Srr bạn! Bạn thêm 1 dấu ) vào sau (princ) thành (princ)) như tôi đã sửa ở trên link cũ.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này có phải ý nghĩa là: vẽ 1 line từ 1 điểm p, theo phương thẳng đứng, đến 1 đường line nằm ngang, rồi lặp lại?

Nếu vậy thì "bước 1" để làm gì? Bước 3 chỉ cần pick điểm chứ đâu cần nhập toạ độ?

ý của e cũng giống bác Doan Van Ha. bác nào hộ e với. 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×